<?php include('../config/db.php'); ?>
<?php 
header("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
header("Expires: Sat, 1 Jul 2000 05:00:00 GMT"); // Fecha en el pasado
session_start();
if(!isset($_SESSION['usuario'])){
    header("location:login.php");
}else{
    if($_SESSION['usuario']=="okProv"){
        $nomUsuario=$_SESSION['nomUsuario'];
    }
}
$error = "";
$txtId = (isset($_POST['txtId']))?$_POST['txtId']:$_SESSION['id'];
$clienteId = $_SESSION['perfil'] ;
$selPlan=(isset($_POST['selPlan']))?$_POST['selPlan']:"";
$selInstalacion=(isset($_POST['selInstalacion']))?$_POST['selInstalacion']:"";
$selMes=(isset($_POST['selMes']))?$_POST['selMes']:"";
$action=(isset($_POST['action']))?$_POST['action']:"";

//print_r($_POST);
if($action == "Consultar"){
    if($selPlan == ""){
        $error = $error."-Debe seleccionar un plan<br>";
    }
    if($selInstalacion == ""){
        $error = $error."-Debe seleccionar una fecha de término<br>";
    }
    if($selMes == ""){
        $error = $error."-Debe seleccionar una fecha de término<br>";
    }
}
?>
<?php include('cabecera.php'); ?>
<script type="text/javascript">
	$(document).ready(function(){
        
	})
</script>
<script type="text/javascript">
function recargaInstalacion(valor){
    
    selPlan = $('#selPlan').val();
    txtId = $('#txtId').val();
    selInstalacion = $('#selInstalacion').val();
    //alert(selInstalacion);
    $.ajax({
        type:"POST",
        url:"asignaInstalacion.php",
        data:"selPlan=" + selPlan + "&txtId=" + txtId +"&valor="+valor,
        success:function(r){
            $('#select2lista').html(r);
            //$('#selInstalacion').select2();
        }
    });
}
function recargaMes(valor){
    //alert(valor);
    selPlan = $('#selPlan').val();
    $.ajax({
        type:"POST",
        url:"asignaMes.php",
        data:"selPlan=" + selPlan + "&valor="+valor,
        success:function(r){
            //alert(r);
            $('#select2Mes').html(r);
            //$('#selInstalacion').select2();
        }
    });
}
</script>
<script>
    function remplaza(texto){
        texto = texto.replace("&aacute;", "á");
        texto = texto.replace("&eacute;", "é");
        texto = texto.replace("&iacute;", "í");
        texto = texto.replace("&oacute;", "ó");
        texto = texto.replace("&uacute;", "ú");
        texto = texto.replace("&ntilde;", "ñ");
        texto = texto.replace("&Aacute;", "Á");
        texto = texto.replace("&Eacute;", "É");
        texto = texto.replace("&Iacute;", "Í");
        texto = texto.replace("&Oacute;", "Ó");
        texto = texto.replace("&Uacute;", "Ú");
        texto = texto.replace("&Ntilde;", "Ñ");
        return texto;
    }
    function rescataDatos(plan, instalacion, actividadId, mes){

       //alert("-plan = "+plan+"-instalacion="+instalacion+"actividadId-"+actividadId+"-mes="+mes);

       $.ajax({
           type:"GET",
           url:"prevencion.php",
           data:"plan=" + plan + "&instalacion="+instalacion + "&actividadId="+actividadId+"&selMes="+mes,
           //data:"region=" + $('#selRegion').val() + "&provincia=" +$('#selComuna').val(),
           success:function(data){
               var valores = eval(data);
               //alert(typeof data);
               //console.log(data)
               
               if(data != "null" ){//pendiente
                   //alert(valores[0]["total"]);
                   
                   var ctx = document.getElementById("migrafico"+actividadId).getContext("2d");
                   
                   //alert(ctx);
                   
                   //alert(valores[0]["ejecutado"]);
                   //alert(valores[0]["pendiente"]);
                   var total = valores[0]["total"];
                   var insta = remplaza(valores[0]["detalle"]);
                   
                   
                   myChart = new Chart(ctx,{
                   type: 'doughnut', 
                       data: {
                           labels:["Ejecutado","Pendiente"], 
                           datasets: [{
                               label: 'Mi gráfico',
                               data: [valores[0]["ejecutado"],valores[0]["pendiente"]], 
                               //data: ["1","2","3"], 
                               backgroundColor:[ //colores de cada gráfico
                                   'rgb(186, 7, 0, 0.60)',
                                   'rgb(33, 25, 21, 0.60)'
                               ],
                               hoverBackgroundColor: [
                                    'rgb(186, 7, 0)',
                                   'rgb(33, 25, 21)'
                                   
                               ],
                               hoverOffset: 10, //desplazamiento hover
                               borderWidth: 2, //borde grafico
                               cutout: 80 //circunferencia
                           }]
                       },
                       options: {
                           responsive: true,
                           rotation: -90,
                           circumference: 180,
                           plugins: {
                               legend: {
                                   position: 'top', //bottom = abajo
                               },
                               title: {
                                   display: true,
                                   text: insta+' = '+total
                               }
                           },
                           layout: {
                               padding: -10
                           }
                       }
                   });
                }else{
                    //myChart.destroy();
                    //alert("dentra");
                    document.getElementById("canva"+actividadId).remove();
                    //document.getElementById("migrafico"+actividadId).remove();
                    //document.getElementById("divgrafico"+actividadId).innerHTML = "No existe información";

                }
           }
       });
   }
</script>
<div class="col-md-3">
</div>
    <div class="col-md-6">
        <div class="card">
            <div class="card-header">
                <h4><i class="bi bi-pie-chart-fill"></i><h4/>
            </div>
            <div class="card-body">
                <?php if(strlen($error) > 0) {?>
                    <div class='alert alert-danger' role="alert">
                        <?php echo $error; ?>
                    </div>
                <?php }?>
                <div class="form-group">
                    <form method="POST">
                        <div class="form-group">
                            <input type="hidden" name="txtId" id="txtId" value="<?php echo $txtId; ?>" >
                            <label for="exampleSelect1" class="form-label mt-1">Plan prevenci&oacute;n *</label>
                            <select class="form-select" name="selPlan" id="selPlan" required onchange="recargaInstalacion(0);">
                                <option value="">Seleccione</option>
                                <?php
                                try{
                                $sqlCliente=$conexion->prepare("SELECT pp.id, pp.nombrePlan FROM planprevencion pp 
                                inner join instalacionacceso ia on pp.clienteId = ia.clienteId
                                where ia.id in (:id)");  
                                $sqlCliente->bindParam(":id",$txtId);
                                $sqlCliente->execute();
                                $listaCliente = $sqlCliente->fetchAll(PDO::FETCH_ASSOC); //almacena todos los registros como arreglo
                                    foreach($listaCliente as $cli) { ?>
                                        <option value="<?php echo $cli['id'] ?>" <?php if($selPlan==$cli['id']) {echo ("selected"); } ?>><?php echo $cli['nombrePlan'] ?></option>
                                    <?php 
                                    } 
                                }catch (Exception $err) {
                                    echo ("Ha ocurrido un error en la solicitud. ");    
                                    throw $err;
                                }
                                ?>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="exampleSelect1" class="form-label mt-1">Instalaci&oacute;n * </label>
                            
                            <div id="select2lista" >

                            </div>
                        </div>
                        <div class="form-group">
                            <label for="exampleSelect1" class="form-label mt-1">Mes * </label>
                            
                            <div id="select2Mes" >

                            </div>
                        </div>
                        <br>
                        <div class="btn-group" role="group" aria-label="">
                            <button type="submit" name="action" value="Consultar" class="btn btn-outline-success" >Consultar</button> &nbsp;
                            <button type="reset" name="action" value="Limpiar" class="btn btn-outline-info" >Limpiar</button>
                        </div>
                    </form>
                </div>
                    
            </div>
        </div>
    </div>
<?php 
if(strlen($error) == 0){

        try{
        $sqlCliente=$conexion->prepare("SELECT act.id, act.detalle FROM planprevencion pp 
        inner join planactividad pa on pa.planId = pp.id
        inner join actividades act on act.id = pa.actividadId
        where pp.id in (:id) order by act.id desc"); 
        $sqlCliente->bindParam(":id",$selPlan);
        $sqlCliente->execute();
        $listaCliente = $sqlCliente->fetchAll(PDO::FETCH_ASSOC); //almacena todos los registros como arreglo
            foreach($listaCliente as $cli) { ?>
                <div class="col-md-4" id="canva<?php echo $cli['id']; ?>">
                    <br>
                    <div class="card">
                        <!--div class="card-header">
                            <h4><?php echo $cli['detalle']; ?></i><h4/>
                        </div-->
                        <div class="card-body">
                            <div class="form-group">
                                <canvas id="migrafico<?php echo $cli['id']; ?>" value="<?php echo $cli['id']; ?>" class="chart chartjs-render-monitor"></canvas>
                                <div id="divgrafico<?php echo $cli['id']; ?>" >
                                    <button type="button" class="btn btn-outline-primary" data-bs-toggle="modal" data-bs-target="#exampleModal<?php echo $cli['id']; ?>">
                                        Evidencias ejecuci&oacute;n
                                    </button>
                                    <!-- Modal -->
                                    <div class="modal fade" id="exampleModal<?php echo $cli['id']; ?>" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                        <div class="modal-header">
                                            <h1 class="modal-title fs-5" id="exampleModalLabel">Documentos <?php echo $cli['detalle']; ?></h1>
                                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                        </div>
                                        <div class="modal-body">
                                        <?php 
                                        
                                        try{
                                            //$detalleActividad = $cli['id'];
                                            $separador = explode("_", $selMes);
                                            $sqlDocumentos=$conexion->prepare("select * from formularioingreso fi  
                                            where fi.planId in (:id) and fi.actividadId in (:actividadId)
                                            and year(fi.fechaRealizacion) = :anio 
                                            and month(fi.fechaRealizacion) = :mes ;"); 
                                            $sqlDocumentos->bindParam(":id",$selPlan);
                                            $sqlDocumentos->bindParam(":actividadId",$cli['id']);
                                            $sqlDocumentos->bindParam(":mes",$separador['0']);
                                            $sqlDocumentos->bindParam(":anio",$separador['1']);
                                            $sqlDocumentos->execute();
                                            $listaDocumentos = $sqlDocumentos->fetchAll(PDO::FETCH_ASSOC); //almacena todos los registros como arreglo
                                            $i=1;
                                            ?>
                                            <table class='table table-hover'>
                                            <thead>
                                                <tr>
                                                    <th>N°</th>
                                                    <th>Fecha ingreso</th>
                                                    <th>Nombre</th>
                                                </tr>
                                            </thead>
                                                <tbody>
                                            <?php
                                            foreach($listaDocumentos as $doc) { 
                                                ?>
                                                    
                                                        <tr>
                                                        <td><?php echo $i; ?></td>
                                                        <td><?php echo date("d-m-Y",strtotime($doc['fechaRealizacion'])); ?></td>
                                                            <td>
                                                                <a href="../archivos/plan/<?php echo $doc['adjunto'] ?>"  target="_blank"><?php echo $doc['adjunto'] ?></a>
                                                            </td>
                                                        </tr>
                                                        
                                                <?php 
                                            $i++;
                                            }
                                            ?>
                                                </tbody>
                                            </table>
                                            <?php
                                        }catch (Exception $err) {
                                            echo ("Ha ocurrido un error en la solicitud. ");    
                                            throw $err;
                                        }
                                
                                        
                                        ?>
                                        </div>
                                        </div>
                                    </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <?php 
                echo "<script>";
                echo "rescataDatos(".$selPlan.",".$selInstalacion.",".$cli['id'].",'".$selMes."');";
                echo "</script>";
            } 
        }catch (Exception $err) {
            echo ("Ha ocurrido un error en la solicitud. ");    
            throw $err;
        }

 
}

    echo "<script>";
    echo "recargaInstalacion($selInstalacion);recargaMes('$selMes');";
    echo "</script>";
?>
<?php include('pie.php'); ?>